package com.ynet.life.file.parser;

import com.ynet.life.base.LifeStandard;
import com.ynet.life.format.DownloadLifeFormat;
import com.ynet.life.format.LifeFormat;
import java.text.SimpleDateFormat;

/* loaded from: com_ynet_life_file_parser.jar:com/ynet/life/file/parser/DownloadFileParserUtil.class */
public class DownloadFileParserUtil {
    public static String FORMAT_SEPARATOR = ",";
    public static final int FORMAT_TEXT = 0;
    public static final int FORMAT_APPPAR = 1;
    public static final int FORMAT_CURRENCY = 2;
    public static final int FORMAT_DATETIME = 3;

    private DownloadFileParserUtil() {
    }

    public static String transformFormat(String fieldValue, String format) {
        if (format == null) {
            return fieldValue;
        }
        String retValue = "";
        String[] formatPart = format.split(FORMAT_SEPARATOR);
        int formatType = Integer.parseInt(formatPart[0]);
        String formatParam = "";
        if (formatPart.length > 1) {
            formatParam = formatPart[1];
        }
        switch (formatType) {
            case 0:
                retValue = fieldValue;
                break;
            case 1:
                retValue = DownloadLifeFormat.getMessageByAppcode(formatParam, fieldValue);
                break;
            case 2:
                retValue = DownloadLifeFormat.downLoadFormatCurrency(fieldValue);
                break;
            case 3:
                retValue = DownloadLifeFormat.formatDate(fieldValue, formatParam);
                break;
        }
        return retValue;
    }

    public static String transformFormat(String fieldValue, String type, String opt) {
        if (type == null && opt == null && !"account".equalsIgnoreCase(type)) {
            if ("null".equals(fieldValue)) {
                fieldValue = "";
            }
            return fieldValue;
        }
        String retValue = fieldValue;
        if ("account".equalsIgnoreCase(type)) {
            if ("true".equalsIgnoreCase(opt)) {
                retValue = String.valueOf(fieldValue.substring(0, fieldValue.length() - 4)) + "****";
            }
        } else if ("date".equalsIgnoreCase(type)) {
            new SimpleDateFormat(opt);
            retValue = LifeFormat.formatDate(fieldValue, opt);
        } else if ("amount".equalsIgnoreCase(type)) {
            retValue = LifeFormat.formatCurrency(fieldValue, Boolean.valueOf(opt).booleanValue());
        } else if ("param".equalsIgnoreCase(type)) {
            retValue = LifeStandard.getAppDisplay(opt, fieldValue);
        }
        return retValue;
    }
}
